commit:     1614d1be1cf45bbaa2bb7445270cc8a14365374c
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 20 08:11:18 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Mar 20 08:11:56 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1614d1be

net-misc/chrony: Version 3.3_pre1.

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-misc/chrony/Manifest               |   1 +
 net-misc/chrony/chrony-3.3_pre1.ebuild | 121 +++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/net-misc/chrony/Manifest b/net-misc/chrony/Manifest
index d46f8140104..18ce30caecf 100644
--- a/net-misc/chrony/Manifest
+++ b/net-misc/chrony/Manifest
@@ -2,3 +2,4 @@ DIST chrony-2.3.tar.gz 355113 BLAKE2B 
238269a79288186e93bd978bca1fb3258d35cfd72c
 DIST chrony-2.4.1.tar.gz 390641 BLAKE2B 
7faac0c71f27bd3459f8a25b338e247744850128b32330fef324e37fd2e7cbd66156311e5a48140288580fc78f1948f8cf02fd2f64fc2ed3cabdaee28af5a67c
 SHA512 
7772065103ad95706f80374d88ba452b76cf8e29689abf22b38e7eb5ad2fcc491593e11702400daa8bf908218614df21b08ff15ab2d3d2347876119cd80abc4d
 DIST chrony-3.1.tar.gz 424109 BLAKE2B 
eb6bc13905a05eab15b00919577cceb4c8c881b4881fbd0e19d966dca86ed6973c31618b1ae56b59cad989144bf59a0206328d50d9eb436fdb058684e74a1661
 SHA512 
4ba3a75c3634050bb63ba9ee80d9be7a295f44ce4d195a050e4be4738bd7dd807fe37f2289d7ead4a75272bd5ebadbd03c233c67f859e9b68871fca5a6671427
 DIST chrony-3.2.tar.gz 433882 BLAKE2B 
4351cd22efbb2c819f09a562b2e0c1851336f8973b37b3015ec6acc04b925e13c1207262d4561318c187809bf989710d9a8fdf54e93b3d3dac56d0d6df8782df
 SHA512 
496af5bed91600f268c1a0fa577bb8c7785e485f78598b666829c674e94770c16548cec4289a2ae9d0a51191d2705eda00886cb6cccae3828aa201a49d4783a4
+DIST chrony-3.3-pre1.tar.gz 442045 BLAKE2B 
122a36e46b5d5a3eb3e2d5e20ad2a5b4f419e496b9cd341e4895e6a4121f0c613860dba0375592ad169e3dbfdbdaf812f07124e6f3b005eba6b3296a663f601d
 SHA512 
39bb4788d362d9aaf30b84c59eaf3421110c3776d57eb955f12d8fdd6013f8ffa91a6ff1e8b0018113f63d660570b1aa70d96f7c31faca29d5b720c2f3f1d625

diff --git a/net-misc/chrony/chrony-3.3_pre1.ebuild 
b/net-misc/chrony/chrony-3.3_pre1.ebuild
new file mode 100644
index 00000000000..c3aed38aa99
--- /dev/null
+++ b/net-misc/chrony/chrony-3.3_pre1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils systemd toolchain-funcs
+
+DESCRIPTION="NTP client and server programs"
+HOMEPAGE="https://chrony.tuxfamily.org/";
+SRC_URI="https://download.tuxfamily.org/${PN}/${P/_/-}.tar.gz";
+LICENSE="GPL-2"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="caps +cmdmon html ipv6 libedit +ntp +phc pps readline +refclock +rtc 
seccomp selinux +adns"
+REQUIRED_USE="
+       ?? ( libedit readline )
+"
+
+CDEPEND="
+       caps? ( sys-libs/libcap )
+       libedit? ( dev-libs/libedit )
+       readline? ( >=sys-libs/readline-4.1-r4:= )
+       seccomp? ( sys-libs/libseccomp )
+"
+DEPEND="
+       ${CDEPEND}
+       html? ( dev-ruby/asciidoctor )
+       pps? ( net-misc/pps-tools )
+"
+RDEPEND="
+       ${CDEPEND}
+       selinux? ( sec-policy/selinux-chronyd )
+"
+
+RESTRICT=test
+
+S="${WORKDIR}/${P/_/-}"
+
+src_prepare() {
+       sed -i \
+               -e 's:/etc/chrony\.:/etc/chrony/chrony.:g' \
+               -e 's:/var/run:/run:g' \
+               conf.c doc/*.man.in examples/* || die
+
+       default
+}
+
+src_configure() {
+       tc-export CC
+
+       local CHRONY_EDITLINE
+       # ./configure legend:
+       # --disable-readline : disable line editing entirely
+       # --without-readline : do not use sys-libs/readline (enabled by default)
+       # --without-editline : do not use dev-libs/libedit (enabled by default)
+       if ! use readline && ! use libedit; then
+               CHRONY_EDITLINE='--disable-readline'
+       else
+               CHRONY_EDITLINE+=" $(usex readline '' --without-readline)"
+               CHRONY_EDITLINE+=" $(usex libedit '' --without-editline)"
+       fi
+
+       # not an autotools generated script
+       local CHRONY_CONFIGURE="
+       ./configure \
+               $(use_enable seccomp scfilter) \
+               $(usex adns '' --disable-asyncdns) \
+               $(usex caps '' --disable-linuxcaps) \
+               $(usex cmdmon '' --disable-cmdmon) \
+               $(usex ipv6 '' --disable-ipv6) \
+               $(usex ntp '' --disable-ntp) \
+               $(usex phc '' --disable-phc) \
+               $(usex pps '' --disable-pps) \
+               $(usex refclock '' --disable-refclock) \
+               $(usex rtc '' --disable-rtc) \
+               ${CHRONY_EDITLINE} \
+               ${EXTRA_ECONF} \
+               --docdir=/usr/share/doc/${PF} \
+               --chronysockdir=/run/chrony \
+               --mandir=/usr/share/man \
+               --prefix=/usr \
+               --sysconfdir=/etc/chrony \
+               --disable-sechash \
+               --without-nss \
+               --without-tomcrypt
+       "
+
+       # print the ./configure call to aid in future debugging
+       einfo ${CHRONY_CONFIGURE}
+       bash ${CHRONY_CONFIGURE} || die
+}
+
+src_compile() {
+       emake all docs $(usex html '' 'ADOC=true')
+}
+
+src_install() {
+       default
+
+       newinitd "${FILESDIR}"/chronyd.init-r1 chronyd
+       newconfd "${FILESDIR}"/chronyd.conf chronyd
+
+       insinto /etc/${PN}
+       newins examples/chrony.conf.example1 chrony.conf
+
+       docinto examples
+       dodoc examples/*.example*
+
+       if use html; then
+               docinto html
+               dodoc doc/*.html
+       fi
+
+       keepdir /var/{lib,log}/chrony
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/chrony-2.4-r1.logrotate chrony
+
+       systemd_newunit "${FILESDIR}"/chronyd.service-r2 chronyd.service
+       systemd_enable_ntpunit 50-chrony chronyd.service
+}

Reply via email to